package com.ruoyi.sy.domain;

import com.alibaba.fastjson2.JSONArray;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 就业岗位详情对象 sy_vocational_post_detail
 * 
 * @author mingxue
 * @date 2022-03-30
 */
public class SyVocationalPostDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 岗位名称 */
    @Excel(name = "岗位名称")
    private String name;

    /** 薪资情况（按趋势） */
    @Excel(name = "薪资情况", readConverterExp = "按=趋势")
    private String experience;

    /** 薪资情况（分布） */
    @Excel(name = "薪资情况", readConverterExp = "分=布")
    private String salary;

    /** 就业形式（按学历） */
    @Excel(name = "就业形式", readConverterExp = "按=学历")
    private String edu;

    /** 就业形式（按经验） */
    @Excel(name = "就业形式", readConverterExp = "按=经验")
    private String exp;

    /** 招聘需求量 */
    @Excel(name = "招聘需求量")
    private String demand;

    /** 收入排行-按行业 */
    @Excel(name = "收入排行-按行业")
    private String industrySalary;

    /** 收入排行-按地区 */
    @Excel(name = "收入排行-按地区")
    private String citySalary;

    /** 平均薪资 */
    @Excel(name = "平均薪资")
    private String salaryAvg;

    /** 数据描述 */
    @Excel(name = "数据描述")
    private String sampleDesc;

    /** 职业数据来源 */
    @Excel(name = "职业数据来源")
    private String vocationalSource;

    /** 薪资数据来源 */
    @Excel(name = "薪资数据来源")
    private String salarySource;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setExperience(String experience) 
    {
        this.experience = experience;
    }

    public JSONArray getExperience()
    {
        return JSONArray.parseArray(experience);
    }
    public void setSalary(String salary) 
    {
        this.salary = salary;
    }

    public JSONArray getSalary()
    {
        return JSONArray.parseArray(salary);
    }
    public void setEdu(String edu) 
    {
        this.edu = edu;
    }

    public JSONArray getEdu()
    {
        return JSONArray.parseArray(edu);
    }
    public void setExp(String exp) 
    {
        this.exp = exp;
    }

    public JSONArray getExp()
    {
        return JSONArray.parseArray(exp);
    }
    public void setDemand(String demand) 
    {
        this.demand = demand;
    }

    public JSONArray getDemand()
    {
        return JSONArray.parseArray(demand);
    }
    public void setIndustrySalary(String industrySalary) 
    {
        this.industrySalary = industrySalary;
    }

    public JSONArray getIndustrySalary()
    {
        return JSONArray.parseArray(industrySalary);
    }
    public void setCitySalary(String citySalary) 
    {
        this.citySalary = citySalary;
    }

    public JSONArray getCitySalary()
    {
        return JSONArray.parseArray(citySalary);
    }
    public void setSalaryAvg(String salaryAvg) 
    {
        this.salaryAvg = salaryAvg;
    }

    public String getSalaryAvg() 
    {
        return salaryAvg;
    }
    public void setSampleDesc(String sampleDesc) 
    {
        this.sampleDesc = sampleDesc;
    }

    public String getSampleDesc() 
    {
        return sampleDesc;
    }
    public void setVocationalSource(String vocationalSource) 
    {
        this.vocationalSource = vocationalSource;
    }

    public String getVocationalSource() 
    {
        return vocationalSource;
    }
    public void setSalarySource(String salarySource) 
    {
        this.salarySource = salarySource;
    }

    public String getSalarySource() 
    {
        return salarySource;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("experience", getExperience())
            .append("salary", getSalary())
            .append("edu", getEdu())
            .append("exp", getExp())
            .append("demand", getDemand())
            .append("industrySalary", getIndustrySalary())
            .append("citySalary", getCitySalary())
            .append("salaryAvg", getSalaryAvg())
            .append("sampleDesc", getSampleDesc())
            .append("vocationalSource", getVocationalSource())
            .append("salarySource", getSalarySource())
            .toString();
    }
}
